Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jelly
Class TagLibrary

    java.lang.Object
      org.apache.commons.jelly.TagLibrary

Direct Known Subclasses:
  CoreTagLibrary, DynamicTagLibrary

    public abstract class TagLibrary

extends java.lang.Object

`Taglib` represents the metadata for a Jelly custom tag library.

Version:
  $Revision: 155420 $
Author:
  James Strachan

Constructor Summary
`TagLibrary()`

Method Summary
`Expression` | `createExpression(ExpressionFactory factory, TagScript tagScript, java.lang.String attributeName, java.lang.String attributeValue)` Allows taglibs to use their own expression evaluation mechanism
`Tag` | `createTag(java.lang.String name, org.xml.sax.Attributes attributes)` Creates a new Tag for the given tag name and attributes
`TagScript` | `createTagScript(java.lang.String name, org.xml.sax.Attributes attributes)` Creates a new script to execute the given tag name and attributes
`protected ExpressionFactory` | `getExpressionFactory()` Allows derived tag libraries to use their own factory
`protected java.util.Map` | `getTagClasses()`
`protected void` | `registerTag(java.lang.String name, java.lang.Class type)` Registers a tag implementation Class for a given tag name
`protected void` | `registerTagFactory(java.lang.String name, TagFactory tagFactory)` Registers a tag factory for a given tag name

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TagLibrary

    public TagLibrary()

Method Detail

### createTagScript

    public TagScript createTagScript(java.lang.String name,
                                     org.xml.sax.Attributes attributes)
                              throws JellyException

  Creates a new script to execute the given tag name and attributes

  Throws:
    `JellyException`

### createTag

    public Tag createTag(java.lang.String name,
                         org.xml.sax.Attributes attributes)
                  throws JellyException

  Creates a new Tag for the given tag name and attributes

  Throws:
    `JellyException`

### createExpression

    public Expression createExpression(ExpressionFactory factory,
                                       TagScript tagScript,
                                       java.lang.String attributeName,
                                       java.lang.String attributeValue)
                                throws JellyException

  Allows taglibs to use their own expression evaluation mechanism

  Throws:
    `JellyException`

### registerTag

    protected void registerTag(java.lang.String name,
                               java.lang.Class type)

  Registers a tag implementation Class for a given tag name

### registerTagFactory

    protected void registerTagFactory(java.lang.String name,
                                      TagFactory tagFactory)

  Registers a tag factory for a given tag name

### getExpressionFactory

    protected ExpressionFactory getExpressionFactory()

  Allows derived tag libraries to use their own factory

### getTagClasses

    protected java.util.Map getTagClasses()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.